AgentsController_update
PATCH
/api/agents/{id}
const url = 'https://api.streams-ai.com/api/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","avatarAssetId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","streamBot":{"version":1,"shape":"cloud","color":"purple","background":"blue"},"endpointUrl":"https://example.com","status":"active","capabilities":{"streaming":false,"tools":[]},"invitePolicy":"everyone","interactPolicy":"everyone"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.streams-ai.com/api/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "avatarAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "streamBot": { "version": 1, "shape": "cloud", "color": "purple", "background": "blue" }, "endpointUrl": "https://example.com", "status": "active", "capabilities": { "streaming": false, "tools": [] }, "invitePolicy": "everyone", "interactPolicy": "everyone" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
avatarAssetId
string format: uuid
streamBot
object
version
required
number
shape
required
string
color
required
string
background
required
string
endpointUrl
string format: uri
status
string
capabilities
object
streaming
boolean
tools
Array<string>
invitePolicy
string
interactPolicy
string